# PSSCALE

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
NOTES
SEE ALSO

## NAME

| psscale − Create grayscale or colorscale for maps

## SYNOPSIS

| psscale −D xpos/ypos/length/width[h] [ −A ] [ −B[p|s]parameters ] [ −C cpt_file ] [ −E[b|f][length] ] [ −I[max_intens|low_i/high_i] ] [ −K ] [ −L[i][gap] ] [ −M ] [ −N dpi ] [ −O ] [ −P ] [ −Q ] [ −U[/dx/dy/][label] ] [ −V ] [ −X[a|c|r][x-shift[u]] ] [ −Y[a|c|r][y-shift[u]] ] [ −Z zfile ] [ −c copies ]

## DESCRIPTION

| psscale plots grayscales or colorscales on maps. Both horizontal and vertical scales are supported. For cpt_files with gradational colors (i.e., the lower and upper boundary of an interval have different r/g/b values) psscale will interpolate to give a continuous scale. Variations in intensity due to shading/illumination may be displayed by setting the option −I. Colors may be spaced according to a linear scale, all be equal size, or by providing a file with individual tile widths.

| −D |  | Defines the position of the center/top (for horizontal scale) or center/left (for vertical scale) and the dimensions of the scale. Give a negative length to reverse the scalebar. Append h to get a horizontal scale [Default is vertical].

## OPTIONS

| No space between the option flag and the associated arguments.

| −A |  | Place annotations above (instead of below) horizontal scalebars and to the left (instead of the right) of vertical scalebars.
| −B |  | Set annotation, tick, and gridline interval for the colorbar. The xaxis label will plot beneath a horizontal bar (or vertically to the right of a vertical bar). As an option, use the yaxis label to plot the data unit to the right of a horizontal bar (and above a vertical bar). If no values are provided, the default is to annotate every color level (which may be overridden by ULB flags in the cpt file). Note that since vertical labels will be plotted as a column of individual characters, no octal escape characters embedded in the label are allowed. Text with such characters will be plotted horizontally (relative to the color scale). By default, labels are generated from the numerical entries. To specify custom text labels for intervals, you must append ;label to each z-slice in the cpt file.
| −C |  | cpt_file is the color palette file to be used. By default all color changes are annotated. To use a subset, add an extra column to the cpt-file with a L, U, or B to annotate Lower, Upper, or Both color segment boundaries (but see −B). If not given, psscale will read stdin. As for grdview, psscale can understand pattern specifications in the cpt file.
| −E |  | Add sidebar triangles for back- and/or foreground colors. Add f or b for only one sidebar triangle [Default gives both]. Optionally, append triangle height [Default is half the barwidth].
| −I |  | Add illumination effects. Optionally, set the range of intensities from - to + max_intens. If not specified, 1 is used. Alternatively, append low/high intensities to specify an asymmetric range [Default is no illumination].
| −K |  | More PostScript code will be appended later [Default terminates the plot system].
| −L |  | Gives equal-sized color rectangles. Default scales rectangles according to the z-range in the cpt-file (Also see −Z). If set, any equal interval annotation set with −B will be ignored. If gap is appended and the cpt table is discrete we will center each annotation on each rectangle, using the lower boundary z-value for the annotation. If i is prepended we annotate the interval range instead. If −I is used then each rectangle will have its constant color modified by the specified intensity.
| −M |  | Force a monochrome graybar using the (television) YIQ transformation.
| −N |  | Effective dots-per-inch for the rectangular image making up the color scale [300].
| −O |  | Selects Overlay plot mode [Default initializes a new plot system].
| −P |  | Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].
| −Q |  | Select logarithmic scale and power of ten annotations. All z-values in the cpt file will be converted to p = log10(z) and only integer p values will be annotated using the 10^p format [Default is linear scale].
| −S |  | Do not separate different colour intervals with black lines.
| −U |  | Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −X −Y |  | Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If −O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.
| −Z |  | File with colorbar-width per color entry. By default, width of entry is scaled to color range, i.e., z = 0-100 gives twice the width as z = 100-150 (Also see −L).
| −c |  | Specifies the number of plot copies. [Default is 1].

## EXAMPLES

| To append a vertical colorscale (7.5 cm long; 1.25 cm wide) to the right of a plot that is 6 inch wide and 4 inch high, using illumination, and show back- and foreground colors, and annotating every 5 units, use psscale −D6.5i/2i/7.5c/1.25c −O −Ccolors.cpt −I −E −B5:BATHYMETRY:/:m: >> map.ps

## NOTES

| When the cpt file is discrete and no illumination is specified, the color bar will be painted using polygons. For all other cases we must paint with an image. Some color printers may give slightly different colors for the two methods given identical RGB values.

## SEE ALSO

| GMT(l), makecpt(l), grd2cpt(l)